(* Definition of variables used in syntax definitions *)

Require Import Coq.Logic.Decidable.
Require Import Coq.Arith.Peano_dec.


Definition var := nat.

Definition eq_var_dec :
  forall x1 x2 : var, {x1 = x2} + {x1 <> x2} := eq_nat_dec.
Definition dec_eq_var :
  forall x1 x2 : var, decidable (x1 = x2) := dec_eq_nat.
